
module CustomerServiceIm
  module Connection
    extend ActiveSupport::Concern

    def included(base)
      base.class_eval do
        identified_by :current_user
      end
    end

    def connect
      self.current_user = find_user
    end

    def find_user
      payload, = JWT.decode(request.params[:token], CustomerServiceIm.jwt_secret, true, { algorithm: "HS256" })

      payload["data"]["user_type"].classify.constantize.find(payload["data"]["user_id"])
    rescue JWT::DecodeError => e
      logger = Logger.new Rails.root.join("log/jwt.log")
      logger.error("JWT Decode Error: #{e}")
      raise e
    end
  end
end