
module CustomerServiceIm
  class UsersController < ApplicationController
    def login
      mp = MiniProgram::Client.new(appid: CustomerServiceIm.appid, app_secret: CustomerServiceIm.app_secret )
      result = mp.login(params.require(:code))

      if result.failure?
        render_500 errors: result.errors
      end

      open_id = result.data[:openid]

      user = User.find_or_create_mp_user(open_id)

      render_200 user.as_json.merge({ token: token_user(user), conversation_id: user.conversation_ids.first })
    end

    def update
      user = logged_user
      if user.update(user_params)
        render_200  result: :ok
      else
        render_500 errors: user.errors
      end
    end

    private

    def user_params
      params.require(:user).permit(:nickname, :avatar)
    end
  end
end