CustomerServiceIm::Engine.routes.draw do
  mount ActionCable.server => "/cable"

  resources :users, defaults: { format: :json } do
    collection do
      post :login
    end
  end

  resources :conversations, defaults: { format: :json } do
    member do
      get :messages
      put :all_messages_read
    end
  end

  resources :messages, defaults: { format: :json } do
    member do
      put :receive
      patch :receive
      put :read
    end

    collection do
      post :create
      post :reply
    end
  end

  resources :staffs do
    collection do
      post :login
    end
  end
end
