require "customer_service_im/version"
require "customer_service_im/engine"
require "customer_service_im/core_ext"
require "customer_service_im/asr_recognize_error"
# require 'shoulda'
require "jwt"
require 'jbuilder'
require "tx_asr"
require "redis"
require 'mini_program'

module CustomerServiceIm
  # Your code goes here...
  mattr_accessor :appid, :app_secret, :jwt_secret, :asr_config

  def self.setup
    if block_given?
      yield self
      TxAsr.secret_key = asr_config&.fetch(:secret_key, :blank_asr_secret_key)
      TxAsr.secret_id = asr_config&.fetch(:secret_id, :blank_asr_secret_id)
      TxAsr.region = asr_config&.fetch(:region, :blank_asr_region)
    end
  end
end
